Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenApplicationImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenApplicationImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenApplication

    public class GenApplicationImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GenApplication

An implementation of the model object 'Gen Application'.

The following features are implemented:

- `Editor Gen`
- `ID`
- `Title`
- `Package Name`
- `Class Name`
- `Workbench Advisor Class Name`
- `Workbench Window Advisor Class Name`
- `Action Bar Advisor Class Name`
- `Perspective Class Name`
- `Perspective Id`
- `Support Files`
- `Shared Contribution Items`
- `Main Menu`
- `Main Tool Bar`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `ACTION_BAR_ADVISOR_CLASS_NAME_EDEFAULT` The default value of the '`Action Bar Advisor Class Name`' attribute
`protected static java.lang.String` `CLASS_NAME_EDEFAULT` The default value of the '`Class Name`' attribute
`protected java.lang.String` `className` The cached value of the '`Class Name`' attribute
`protected java.lang.String` `iD` The cached value of the '`ID`' attribute
`protected static java.lang.String` `ID_EDEFAULT` The default value of the '`ID`' attribute
`protected GenMenuManager` `mainMenu` The cached value of the '`Main Menu`' containment reference
`protected GenToolBarManager` `mainToolBar` The cached value of the '`Main Tool Bar`' containment reference
`protected static java.lang.String` `PACKAGE_NAME_EDEFAULT` The default value of the '`Package Name`' attribute
`protected java.lang.String` `packageName` The cached value of the '`Package Name`' attribute
`protected static java.lang.String` `PERSPECTIVE_CLASS_NAME_EDEFAULT` The default value of the '`Perspective Class Name`' attribute
`protected static java.lang.String` `PERSPECTIVE_ID_EDEFAULT` The default value of the '`Perspective Id`' attribute
`protected java.lang.String` `perspectiveId` The cached value of the '`Perspective Id`' attribute
`protected org.eclipse.emf.common.util.EList<GenContributionItem>` `sharedContributionItems` The cached value of the '`Shared Contribution Items`' containment reference list
`protected static boolean` `SUPPORT_FILES_EDEFAULT` The default value of the '`Support Files`' attribute
`protected boolean` `supportFiles` The cached value of the '`Support Files`' attribute
`protected java.lang.String` `title` The cached value of the '`Title`' attribute
`protected static java.lang.String` `TITLE_EDEFAULT` The default value of the '`Title`' attribute
`protected static java.lang.String` `WORKBENCH_ADVISOR_CLASS_NAME_EDEFAULT` The default value of the '`Workbench Advisor Class Name`' attribute
`protected static java.lang.String` `WORKBENCH_WINDOW_ADVISOR_CLASS_NAME_EDEFAULT` The default value of the '`Workbench Window Advisor Class Name`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenApplicationImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetMainMenu(GenMenuManager newMainMenu, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetMainToolBar(GenToolBarManager newMainToolBar, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getActionBarAdvisorClassName()`
`java.lang.String` `getActionBarAdvisorQualifiedClassName()`
`java.lang.String` `getClassName()` Returns the value of the 'Class Name' attribute
`java.lang.String` `getClassNameGen()`
`GenEditorGenerator` `getEditorGen()`
`java.lang.String` `getID()` Returns the value of the 'ID' attribute
`java.lang.String` `getIDGen()`
`GenMenuManager` `getMainMenu()`
`GenToolBarManager` `getMainToolBar()`
`java.lang.String` `getPackageName()` Returns the value of the 'Package Name' attribute
`java.lang.String` `getPackageNameGen()`
`java.lang.String` `getPerspectiveClassName()`
`java.lang.String` `getPerspectiveId()` Returns the value of the 'Perspective Id' attribute
`java.lang.String` `getPerspectiveIdGen()`
`java.lang.String` `getPerspectiveQualifiedClassName()`
`java.lang.String` `getQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenContributionItem>` `getSharedContributionItems()`
`java.lang.String` `getTitle()` Returns the value of the 'Title' attribute
`java.lang.String` `getTitleGen()`
`java.lang.String` `getWorkbenchAdvisorClassName()`
`java.lang.String` `getWorkbenchAdvisorQualifiedClassName()`
`java.lang.String` `getWorkbenchWindowAdvisorClassName()`
`java.lang.String` `getWorkbenchWindowAdvisorQualifiedClassName()`
`boolean` `isSupportFiles()`
`void` `setClassName(java.lang.String newClassName)`
`void` `setID(java.lang.String newID)`
`void` `setMainMenu(GenMenuManager newMainMenu)`
`void` `setMainToolBar(GenToolBarManager newMainToolBar)`
`void` `setPackageName(java.lang.String newPackageName)`
`void` `setPerspectiveId(java.lang.String newPerspectiveId)`
`void` `setSupportFiles(boolean newSupportFiles)`
`void` `setTitle(java.lang.String newTitle)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ID_EDEFAULT

    protected static final java.lang.String ID_EDEFAULT

  The default value of the '`ID`' attribute.

  See Also:
    `getID()`
  ** Generated **
  Ordered:

### iD

    protected java.lang.String iD

  The cached value of the '`ID`' attribute.

  See Also:
    `getID()`
  ** Generated **
  Ordered:

### TITLE_EDEFAULT

    protected static final java.lang.String TITLE_EDEFAULT

  The default value of the '`Title`' attribute.

  See Also:
    `getTitle()`
  ** Generated **
  Ordered:

### title

    protected java.lang.String title

  The cached value of the '`Title`' attribute.

  See Also:
    `getTitle()`
  ** Generated **
  Ordered:

### PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String PACKAGE_NAME_EDEFAULT

  The default value of the '`Package Name`' attribute.

  See Also:
    `getPackageName()`
  ** Generated **
  Ordered:

### packageName

    protected java.lang.String packageName

  The cached value of the '`Package Name`' attribute.

  See Also:
    `getPackageName()`
  ** Generated **
  Ordered:

### CLASS_NAME_EDEFAULT

    protected static final java.lang.String CLASS_NAME_EDEFAULT

  The default value of the '`Class Name`' attribute.

  See Also:
    `getClassName()`
  ** Generated **
  Ordered:

### className

    protected java.lang.String className

  The cached value of the '`Class Name`' attribute.

  See Also:
    `getClassName()`
  ** Generated **
  Ordered:

### WORKBENCH_ADVISOR_CLASS_NAME_EDEFAULT

    protected static final java.lang.String WORKBENCH_ADVISOR_CLASS_NAME_EDEFAULT

  The default value of the '`Workbench Advisor Class Name`' attribute.

  See Also:
    `getWorkbenchAdvisorClassName()`
  ** Generated **
  Ordered:

### WORKBENCH_WINDOW_ADVISOR_CLASS_NAME_EDEFAULT

    protected static final java.lang.String WORKBENCH_WINDOW_ADVISOR_CLASS_NAME_EDEFAULT

  The default value of the '`Workbench Window Advisor Class Name`' attribute.

  See Also:
    `getWorkbenchWindowAdvisorClassName()`
  ** Generated **
  Ordered:

### ACTION_BAR_ADVISOR_CLASS_NAME_EDEFAULT

    protected static final java.lang.String ACTION_BAR_ADVISOR_CLASS_NAME_EDEFAULT

  The default value of the '`Action Bar Advisor Class Name`' attribute.

  See Also:
    `getActionBarAdvisorClassName()`
  ** Generated **
  Ordered:

### PERSPECTIVE_CLASS_NAME_EDEFAULT

    protected static final java.lang.String PERSPECTIVE_CLASS_NAME_EDEFAULT

  The default value of the '`Perspective Class Name`' attribute.

  See Also:
    `getPerspectiveClassName()`
  ** Generated **
  Ordered:

### PERSPECTIVE_ID_EDEFAULT

    protected static final java.lang.String PERSPECTIVE_ID_EDEFAULT

  The default value of the '`Perspective Id`' attribute.

  See Also:
    `getPerspectiveId()`
  ** Generated **
  Ordered:

### perspectiveId

    protected java.lang.String perspectiveId

  The cached value of the '`Perspective Id`' attribute.

  See Also:
    `getPerspectiveId()`
  ** Generated **
  Ordered:

### SUPPORT_FILES_EDEFAULT

    protected static final boolean SUPPORT_FILES_EDEFAULT

  The default value of the '`Support Files`' attribute.

  See Also:
    `isSupportFiles()`, Constant Field Values
  ** Generated **
  Ordered:

### supportFiles

    protected boolean supportFiles

  The cached value of the '`Support Files`' attribute.

  See Also:
    `isSupportFiles()`
  ** Generated **
  Ordered:

### sharedContributionItems

    protected org.eclipse.emf.common.util.EList<GenContributionItem> sharedContributionItems

  The cached value of the '`Shared Contribution Items`' containment reference list.

  See Also:
    `getSharedContributionItems()`
  ** Generated **
  Ordered:

### mainMenu

    protected GenMenuManager mainMenu

  The cached value of the '`Main Menu`' containment reference.

  See Also:
    `getMainMenu()`
  ** Generated **
  Ordered:

### mainToolBar

    protected GenToolBarManager mainToolBar

  The cached value of the '`Main Tool Bar`' containment reference.

  See Also:
    `getMainToolBar()`
  ** Generated **
  Ordered:

Constructor Detail

### GenApplicationImpl

    protected GenApplicationImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getEditorGen

    public GenEditorGenerator getEditorGen()

  Specified by:
    `getEditorGen` in interface `GenApplication`
  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenApplication_EditorGen()`, `GenEditorGenerator.getApplication()`
  ** Generated **

### getIDGen

    public java.lang.String getIDGen()

  ** Generated **

### getID

    public java.lang.String getID()

  Description copied from interface: `GenApplication`
  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  RCP Application ID for plugin.xml

  Specified by:
    `getID` in interface `GenApplication`
  Returns:
    the value of the 'ID' attribute.
  See Also:
    `GenApplication.setID(String)`, `GMFGenPackage.getGenApplication_ID()`

### setID

    public void setID(java.lang.String newID)

  Specified by:
    `setID` in interface `GenApplication`
  Parameters:
    `newID` - the new value of the 'ID' attribute.
  See Also:
    `GenApplication.getID()`
  ** Generated **

### getTitleGen

    public java.lang.String getTitleGen()

  ** Generated **

### getTitle

    public java.lang.String getTitle()

  Description copied from interface: `GenApplication`
  Returns the value of the 'Title' attribute.

  If the meaning of the 'Title' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getTitle` in interface `GenApplication`
  Returns:
    the value of the 'Title' attribute.
  See Also:
    `GenApplication.setTitle(String)`, `GMFGenPackage.getGenApplication_Title()`

### setTitle

    public void setTitle(java.lang.String newTitle)

  Specified by:
    `setTitle` in interface `GenApplication`
  Parameters:
    `newTitle` - the new value of the 'Title' attribute.
  See Also:
    `GenApplication.getTitle()`
  ** Generated **

### getPackageNameGen

    public java.lang.String getPackageNameGen()

  ** Generated **

### getPackageName

    public java.lang.String getPackageName()

  Description copied from interface: `GenApplication`
  Returns the value of the 'Package Name' attribute.

  If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getPackageName` in interface `GenApplication`
  Returns:
    the value of the 'Package Name' attribute.
  See Also:
    `GenApplication.setPackageName(String)`, `GMFGenPackage.getGenApplication_PackageName()`

### setPackageName

    public void setPackageName(java.lang.String newPackageName)

  Specified by:
    `setPackageName` in interface `GenApplication`
  Parameters:
    `newPackageName` - the new value of the 'Package Name' attribute.
  See Also:
    `GenApplication.getPackageName()`
  ** Generated **

### getClassNameGen

    public java.lang.String getClassNameGen()

  ** Generated **

### getClassName

    public java.lang.String getClassName()

  Description copied from interface: `GenApplication`
  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getClassName` in interface `GenApplication`
  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `GenApplication.setClassName(String)`, `GMFGenPackage.getGenApplication_ClassName()`

### setClassName

    public void setClassName(java.lang.String newClassName)

  Specified by:
    `setClassName` in interface `GenApplication`
  Parameters:
    `newClassName` - the new value of the 'Class Name' attribute.
  See Also:
    `GenApplication.getClassName()`
  ** Generated **

### getWorkbenchAdvisorClassName

    public java.lang.String getWorkbenchAdvisorClassName()

  Specified by:
    `getWorkbenchAdvisorClassName` in interface `GenApplication`
  Returns:
    the value of the 'Workbench Advisor Class Name' attribute.
  See Also:
    `GMFGenPackage.getGenApplication_WorkbenchAdvisorClassName()`
  ** Generated **
    NOT

### getWorkbenchWindowAdvisorClassName

    public java.lang.String getWorkbenchWindowAdvisorClassName()

  Specified by:
    `getWorkbenchWindowAdvisorClassName` in interface `GenApplication`
  Returns:
    the value of the 'Workbench Window Advisor Class Name' attribute.
  See Also:
    `GMFGenPackage.getGenApplication_WorkbenchWindowAdvisorClassName()`
  ** Generated **
    NOT

### getActionBarAdvisorClassName

    public java.lang.String getActionBarAdvisorClassName()

  Specified by:
    `getActionBarAdvisorClassName` in interface `GenApplication`
  Returns:
    the value of the 'Action Bar Advisor Class Name' attribute.
  See Also:
    `GMFGenPackage.getGenApplication_ActionBarAdvisorClassName()`
  ** Generated **
    NOT

### getPerspectiveClassName

    public java.lang.String getPerspectiveClassName()

  Specified by:
    `getPerspectiveClassName` in interface `GenApplication`
  Returns:
    the value of the 'Perspective Class Name' attribute.
  See Also:
    `GMFGenPackage.getGenApplication_PerspectiveClassName()`
  ** Generated **
    NOT

### getPerspectiveIdGen

    public java.lang.String getPerspectiveIdGen()

  ** Generated **

### getPerspectiveId

    public java.lang.String getPerspectiveId()

  Description copied from interface: `GenApplication`
  Returns the value of the 'Perspective Id' attribute.

  If the meaning of the 'Perspective Id' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getPerspectiveId` in interface `GenApplication`
  Returns:
    the value of the 'Perspective Id' attribute.
  See Also:
    `GenApplication.setPerspectiveId(String)`, `GMFGenPackage.getGenApplication_PerspectiveId()`

### setPerspectiveId

    public void setPerspectiveId(java.lang.String newPerspectiveId)

  Specified by:
    `setPerspectiveId` in interface `GenApplication`
  Parameters:
    `newPerspectiveId` - the new value of the 'Perspective Id' attribute.
  See Also:
    `GenApplication.getPerspectiveId()`
  ** Generated **

### isSupportFiles

    public boolean isSupportFiles()

  Specified by:
    `isSupportFiles` in interface `GenApplication`
  Returns:
    the value of the 'Support Files' attribute.
  See Also:
    `GenApplication.setSupportFiles(boolean)`, `GMFGenPackage.getGenApplication_SupportFiles()`
  ** Generated **

### setSupportFiles

    public void setSupportFiles(boolean newSupportFiles)

  Specified by:
    `setSupportFiles` in interface `GenApplication`
  Parameters:
    `newSupportFiles` - the new value of the 'Support Files' attribute.
  See Also:
    `GenApplication.isSupportFiles()`
  ** Generated **

### getSharedContributionItems

    public org.eclipse.emf.common.util.EList<GenContributionItem> getSharedContributionItems()

  Specified by:
    `getSharedContributionItems` in interface `GenApplication`
  Returns:
    the value of the 'Shared Contribution Items' containment reference list.
  See Also:
    `GMFGenPackage.getGenApplication_SharedContributionItems()`
  ** Generated **

### getMainMenu

    public GenMenuManager getMainMenu()

  Specified by:
    `getMainMenu` in interface `GenApplication`
  Returns:
    the value of the 'Main Menu' containment reference.
  See Also:
    `GenApplication.setMainMenu(GenMenuManager)`, `GMFGenPackage.getGenApplication_MainMenu()`
  ** Generated **

### basicSetMainMenu

    public org.eclipse.emf.common.notify.NotificationChain basicSetMainMenu(GenMenuManager newMainMenu,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setMainMenu

    public void setMainMenu(GenMenuManager newMainMenu)

  Specified by:
    `setMainMenu` in interface `GenApplication`
  Parameters:
    `newMainMenu` - the new value of the 'Main Menu' containment reference.
  See Also:
    `GenApplication.getMainMenu()`
  ** Generated **

### getMainToolBar

    public GenToolBarManager getMainToolBar()

  Specified by:
    `getMainToolBar` in interface `GenApplication`
  Returns:
    the value of the 'Main Tool Bar' containment reference.
  See Also:
    `GenApplication.setMainToolBar(GenToolBarManager)`, `GMFGenPackage.getGenApplication_MainToolBar()`
  ** Generated **

### basicSetMainToolBar

    public org.eclipse.emf.common.notify.NotificationChain basicSetMainToolBar(GenToolBarManager newMainToolBar,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setMainToolBar

    public void setMainToolBar(GenToolBarManager newMainToolBar)

  Specified by:
    `setMainToolBar` in interface `GenApplication`
  Parameters:
    `newMainToolBar` - the new value of the 'Main Tool Bar' containment reference.
  See Also:
    `GenApplication.getMainToolBar()`
  ** Generated **

### getQualifiedClassName

    public java.lang.String getQualifiedClassName()

  Specified by:
    `getQualifiedClassName` in interface `GenApplication`
  ** Generated **
    NOT

### getWorkbenchAdvisorQualifiedClassName

    public java.lang.String getWorkbenchAdvisorQualifiedClassName()

  Specified by:
    `getWorkbenchAdvisorQualifiedClassName` in interface `GenApplication`
  ** Generated **
    NOT

### getWorkbenchWindowAdvisorQualifiedClassName

    public java.lang.String getWorkbenchWindowAdvisorQualifiedClassName()

  Specified by:
    `getWorkbenchWindowAdvisorQualifiedClassName` in interface `GenApplication`
  ** Generated **
    NOT

### getActionBarAdvisorQualifiedClassName

    public java.lang.String getActionBarAdvisorQualifiedClassName()

  Specified by:
    `getActionBarAdvisorQualifiedClassName` in interface `GenApplication`
  ** Generated **
    NOT

### getPerspectiveQualifiedClassName

    public java.lang.String getPerspectiveQualifiedClassName()

  Specified by:
    `getPerspectiveQualifiedClassName` in interface `GenApplication`
  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.